/*   vim:set foldenable foldmethod=marker:
 *
 *   Copyright (C) 2011 Ivan Cukic <ivan.cukic(at)kde.org>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License version 2,
 *   or (at your option) any later version, as published by the Free
 *   Software Foundation
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details
 *
 *   You should have received a copy of the GNU General Public
 *   License along with this program; if not, write to the
 *   Free Software Foundation, Inc.,
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

import Qt 4.7

Item {
    id: main

    width: screenSize.width
    height: screenSize.height
    // width: 300
    // height: 300

    /* property declarations --------------------------{{{ */
    property int stage
    property int iconSize: (screenSize.width <= 1024) ? 64 : 128
    /* }}} */

    /* signal declarations ----------------------------{{{ */

    /* }}} */

    /* JavaScript functions ---------------------------{{{ */
    onStageChanged: {
        if (stage == 1) {
            background.opacity = 1
            gear.opacity = 0.5
        }
        if (stage == 2) {
            gear.opacity = 1
            text.opacity = 1
        }
        if (stage == 3) {
        }
        if (stage == 4) {
        }
        if (stage == 5) {
            gear2.opacity = 1
        }
        if (stage == 6) {
        }
    }
    /* }}} */

    /* object properties ------------------------------{{{ */

    /* }}} */

    /* child objects ----------------------------------{{{ */

    Image {
        id: background
	source: "images/background.jpg"
	anchors.fill: parent
	anchors {
	    top: parent.top
            left: parent.left
            right: parent.right
        }
	height: gear.y - 32
	opacity: 0
 
    }

    Image {
        id: gear

        height: iconSize
        width: iconSize
        smooth: true

        x: 60 + (parent.width - width) / 3
        y: (parent.height - height) / 2

        source: "images/gear.png"

        opacity: 0
        Behavior on opacity { NumberAnimation { duration: 1000; easing { type: Easing.InOutQuad } } }

        NumberAnimation {
            id: animateRotation
            target: gear
            properties: "rotation"
            from: 0
            to: 360
            duration: 5000

            loops: Animation.Infinite
            running: true
        }

    }

    Image {
      id: text
      
      height: 65
      width: 212
      
      x: 10 + (parent.width - width) /2
      y: 25 + (parent.height / 2 - height)
      
      source: "images/chakra.png"
     NumberAnimation on opacity {
      id: createAnimation
      from: 0
      to: 1
      duration: 700
    }
Component.onCompleted: createAnimation.start()
    }

    Image {
        id: gear2

        height: iconSize
        width: iconSize
        smooth: true

        x: 60 + (parent.width - width) / 3
        y: (parent.height - height) / 2

        source: "images/gear2.png"

        opacity: 0
        Behavior on opacity { NumberAnimation { duration: 1000; easing { type: Easing.InOutQuad } } }

        NumberAnimation {
            id: animateRotationtwo
            target: gear2
            properties: "rotation"
            from: 0
            to: 360
            duration: 5000

            loops: Animation.Infinite
            running: true
        }

    }

    /* }}} */

    /* stages -----------------------------------------{{{ */

    /* }}} */

    /* transitions ------------------------------------{{{ */

    /* }}} */
}

